## inform 6.31.1%2Bdfsg

=== debian/control ===
Source: inform
Section: non-free/devel
Priority: extra
Homepage: http://inform-fiction.org/
Maintainer: Ben Finney <ben+debian@benfinney.id.au>
Standards-Version: 3.9.6
VCS-bzr: http://anonscm.debian.org/bzr/collab-maint/pkg-inform/trunk/
VCS-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pkg-inform/trunk/
Build-Depends:
    autotools-dev,
    dh-autoreconf,
    debhelper (>= 9)
XS-Autobuild: yes

Package: inform
Section: non-free/devel
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends}
Recommends: zcode-interpreter
Suggests: inform-mode, inform-docs
Description: story file compiler for the Inform interactive fiction language (v6)
 Inform is an object-oriented language for text adventure games which
 are commonly known as "interactive fiction". The story files are
 compiled into a special form of bytecode (Z-code) which can then
 be run by Z-code interpreters that exist for a multitude of
 operating systems.
 .
 This package contains:
  * the Inform compiler
  * the Inform standard library
  * several user-supplied extensions and modules 

Package: inform-docs
Section: non-free/doc
Architecture: all
Depends:
    ${misc:Depends}
Description: documentation for the Inform interactive fiction language (v6)
 Inform is an object-oriented language for text adventure games which
 are commonly known as "interactive fiction". The story files are
 compiled into a special form of bytecode (Z-code) which can then
 be run by Z-code interpreters that exist for a multitude of
 operating systems.
 .
 This package contains:
  * the Inform Designer's Manual (4th edition)
  * the Inform Beginner's Guide
