## inform 6.31.1+dfsg

=== debian/changelog ===
inform (6.31.1+dfsg-2) unstable; urgency=medium

  * The “Deeyah Khan” release.
  * Set myself as current Maintainer of this package.
    (Closes: bug#698980)
  * Declare “Standards-Version: 3.9.6”.
  * Declare Debian source package format “3.0 (quilt)”.
  * Set minimum Debhelper version to 9.
  * Set the Homepage field to the current URL.
  * Set Debian packaging VCS fields to Alioth public URLs.
  * Describe source package construction in ‘README.Debian-source’.
  * Remove upstream files generated by Autotools.
  * Use ‘autoreconf’ to regenerate GNU Autotools configuration.
  * Remove superfluous ‘unpack’ target.
  * Convert copyright information to copyright format version 1.0.
  * Update copyright notices for Debian packaging work.
  * Add recommended substitution variable “Depends: ${misc:Depends}”.
  * Add a watch configuration for ‘uscan’. Thanks to Bart Martens.
  * Add recommended rules targets to get original source from upstream.
  * Add recommended rules targets “build-arch” and “build-indep”.
    Sequence appropriate actions for each target.
  * Add recommended build options to “harden” executable build products.
  * Generate md5sums for binary packages.
  * Install upstream changelog document.
  * Install upstream README document.
  * Install demonstration story documents as examples.
  * Install manual pages for commands.
  * Rename ‘debian/README.Debian-source’ → ‘debian/README.source’.
    Policy 3.8.0 standardised the name for this file.
  * Add ‘README.Debian’ to explain differences from upstream.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 16 Nov 2015 10:09:45 +1100

inform (6.31.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove calls to update-alternatives (closes: #620866).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 12 Nov 2012 02:32:39 +0000

inform (6.31.1+dfsg-1) unstable; urgency=low

  * Remove a considerable number of files from the package
    due to unacceptable licensing terms.
  * Repair library symlinks.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Mon, 26 May 2008 22:09:44 +0200

inform (6.31.1-1) unstable; urgency=low

  * At long last, adopt the package. Closes: #454258.
  * Redo package from scratch. This package shall at least
    survive the Lenny release, so this closes: #446664.
  * New upstream version. Closes: #385718.
  * Include latest Designer's Manual. Closes: #131968.
  * Package is now policy-compliant with version 3.7.3.
  * Bump debhelper level to 6.
  * Obtain recent config.{sub,guess} at build time.
  * Write a fully-fledged manpage.
  * Add XS-Autobuild to control file.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Thu, 01 May 2008 16:19:57 +0200

inform (6.30-2.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer consent.
  * Finish /usr/doc transition (Closes: #406985).
  * Test -x for update-menus (RC bug, closes: #289739).
  * Don't install Makefile under /usr/share/info (Closes: #326991).
  * Let inform suggest inform-docs.
  * Fixed the following Lintian problems:
    spelling-error-in-copyright,
    description-synopsis-might-not-be-phrased-properly,
    install-info-not-called-with-quiet-option,
    menu-file-in-usr-lib, symlink-should-be-relative,
    manpage-has-errors-from-man, configure-generated-file-in-source,
    diff-contains-substvars, outdated-autotools-helper-file

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 16 Feb 2007 13:37:13 +0100

inform (6.30-2) unstable; urgency=low

  * Install include files (Closes: 381249)
  * Other minor build/install changes
  * Don't install emacs mode under /usr/doc; anyone who wants it should
    install the inform-mode package

 -- Mark Baker <mark@mnb.org.uk>  Fri, 25 Aug 2006 21:29:45 +0100

inform (6.30-1) unstable; urgency=low

  * New upstream release (Closes: #235665)
  * This fixes problem building with recent versions of gcc (Closes: #235799)
  * debian/doc.postinst etc: don't run update-menus unless it's installed
  * debian/install.1: whatis should parse it OK now (Closes: #238018)

 -- Mark Baker <mark@mnb.org.uk>  Mon, 29 Mar 2004 23:52:44 +0100

inform (6.21-2.2) unstable; urgency=low

  * NMU
  * doc.postinst: Only call update-menus if it exists (closes: #126372).

 -- Robert Bihlmeyer <robbe@debian.org>  Sun, 27 Oct 2002 08:56:31 +0100

inform (6.21-2.1) unstable; urgency=low

  * NMU
  * Added build dependencies. (closes: #110382)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 10 Nov 2001 15:45:09 +0100

inform (6.21-2) unstable; urgency=low

  * debian/rules: lower case symlinks to library files. Unfortunately,
    many inform users use it on other platforms that aren't
    case-sensitive, so include the library files in all lower case; this
    gives problems in unix as the real names are capitalised (Closes: #51149)
  * debian/rules and others: move docs into /usr/share/doc (Closes:
    #91505, #91181, #82408, #82409, #91493) 

 -- Mark Baker <mark@mnb.org.uk>  Fri, 27 Apr 2001 22:41:29 +0100

inform (6.21-1) unstable; urgency=low

  * New upstream version
  * New upstream libraries version 6/9 (#21494)
  * New upstream info documentation, with answers 35-58 OK (#21495)

 -- Mark Baker <mbaker@iee.org>  Mon,  5 Jul 1999 23:00:34 +0100

inform (6.14-4) unstable; urgency=low

  * Removed X- fields from control file to shut up lintian

 -- Mark Baker <mbaker@iee.org>  Sat, 28 Feb 1998 14:03:38 +0000

inform (6.14-3) unstable; urgency=low

  * inform-docs now depends on, instead of suggests, inform. This is a bad
    thing, but is necessary to ensure the copyright file exists. The
    alternative would be to make /usr/doc/inform-docs not a symlink to
    /usr/doc/inform, but that would mean the documents would either not be
    in /usr/doc/inform-docs, or not be in /usr/doc/inform, either of which
    seems illogical to me.
  * Fixed permissions (last time I "fixed" the wrong one of the two binary
    packages)

 -- Mark Baker <mbaker@iee.org>  Tue, 10 Feb 1998 15:00:38 +0000


