=== debian/watch ===
# debian/watch
# Debian uscan file for ‘inform’ package.
# Manpage: ‘uscan(1)’

# Compulsory line, this is a version 3 file.
version=3

# Current version from Interactive Fiction Archive.
opts="uversionmangle=s/(\d)-(rc|a|b|c)/$1~$2/,dversionmangle=s/\+dfsg(\.\d+)?$//" \
    http://ifarchive.org/if-archive/infocom/compilers/inform((?!7)\d|\d\d+|)/source/inform-(\d\S+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) \
    debian


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :
